package com.ruoyi.model.service;
import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.model.domain.AppletTask;

/**
 * 任务中心Service接口
 *
 * @author daixiande
 */
public interface IAppletTaskService extends IService<AppletTask> {
    /**
     * 查询任务中心
     *
     * @param id 任务中心主键
     * @return 任务中心
     */
    AppletTask selectAppletTaskById(Long id);

    /**
     * 查询任务中心列表
     *
     * @param appletTask 任务中心
     * @return 任务中心集合
     */
    List<AppletTask> selectAppletTaskList(AppletTask appletTask);

    /**
     * 新增任务中心
     *
     * @param appletTask 任务中心
     * @return 结果
     */
    int insertAppletTask(AppletTask appletTask);

    /**
     * 修改任务中心
     *
     * @param appletTask 任务中心
     * @return 结果
     */
    int updateAppletTask(AppletTask appletTask);

    /**
     * 批量删除任务中心
     *
     * @param ids 需要删除的任务中心主键集合
     * @return 结果
     */
    int deleteAppletTaskByIds(Long[] ids);

    /**
     * 删除任务中心信息
     *
     * @param id 任务中心主键
     * @return 结果
     */
    int deleteAppletTaskById(Long id);
}
